﻿using System;

namespace AirFusion.Common.RegistryHolders
{
	/// <summary>
	/// Represents the store name attribute of a property.
	/// </summary>
	[AttributeUsage(AttributeTargets.Property, AllowMultiple = false)]
	public sealed class RegistryStoreNameAttribute : Attribute
	{
		/// <summary>
		/// Gets the name of the properties in the registry key.
		/// </summary>
		public string Name { get; private set; }

		/// <summary>
		/// Initializes a new instance of the <see cref="RegistryStoreNameAttribute"/> class.
		/// </summary>
		/// <param name="name">The name of registry key to be stored.</param>
		public RegistryStoreNameAttribute(string name)
		{
			this.Name = name;
		}
	}
}
