﻿using System;

namespace AirFusion.Manager.DeviceManager
{
	public partial class UserDeviceManager
	{
		partial class MulticastDnsAdapter
		{
			/// <summary>
			/// Represents the methods that will handle the event of service found.
			/// </summary>
			/// <param name="sender">The sender.</param>
			/// <param name="args">The <see cref="ServiceFoundEventArgs"/> instance containing the event data.</param>
			public delegate void ServiceFoundEventHandler(object sender, ServiceFoundEventArgs args);

			/// <summary>
			/// Represents the methods that will handle the event of service lost.
			/// </summary>
			/// <param name="sender">The sender.</param>
			/// <param name="args">The <see cref="ServiceLostEventArgs"/> instance containing the event data.</param>
			public delegate void ServiceLostEventHandler(object sender, ServiceLostEventArgs args);

			/// <summary>
			/// Represents the methods that will handle the event of address updated.
			/// </summary>
			/// <param name="sender">The sender.</param>
			/// <param name="args">The <see cref="AddressUpdatedEventArgs"/> instance containing the event data.</param>
			public delegate void AddressUpdatedEventHandler(object sender, AddressUpdatedEventArgs args);
		}
	}
}
