﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirFusion.Manager.DeviceManager
{
	/// <summary>
	/// Specifies the connectivity of a specified device.
	/// </summary>
	public enum ConnectionStatus : int
	{
		/// <summary>
		/// Signifies the connection status is unknown.
		/// </summary>
		Unknown = 0,

		/// <summary>
		/// Signifies the device is unconnectable.
		/// </summary>
		Unconnectable = 1,

		/// <summary>
		/// Signifies the device is connectable.
		/// </summary>
		Connectable = 2,

		/// <summary>
		/// Signifies the application is not matched.
		/// </summary>
		ApplicationNotMatch = 3,
	}
}
