﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirFusion.Manager.DeviceManager
{
	/// <summary>
	/// Specifies the error code of <see cref="UserDeviceManager"/>.
	/// </summary>
	public enum ErrorType : int
	{
		/// <summary>
		/// Signifies the configuration read/write failed.
		/// </summary>
		ConfigurationFailed = unchecked((int)0x80001001),

		/// <summary>
		/// Signifies there's an IO error.
		/// </summary>
		IOError = unchecked((int)0x80002000),

		/// <summary>
		/// Signifies unknown error.
		/// </summary>
		UnknownError = unchecked((int)0xFFFFFFFF)
	}
}