﻿using AirFusion.Common;
using AirFusion.WebService;
using System.Text;

namespace AirFusion.Manager.DeviceManager
{
	/// <summary>
	/// Represents the parameters of Initialize()
	/// </summary>
	internal sealed class InitialParameters
	{
		/// <summary>
		/// Gets or sets the web service manager.
		/// </summary>
		public WebServicesManager WebServiceManager { get; set; }

		/// <summary>
		/// Initializes a new instance of the <see cref="InitialParameters"/> class.
		/// </summary>
		public InitialParameters()
		{
			this.WebServiceManager = null;
		}

		/// <summary>
		/// Returns a <see cref="System.String" /> that represents this instance.
		/// </summary>
		/// <returns>
		/// A <see cref="System.String" /> that represents this instance.
		/// </returns>
		public override string ToString()
		{
			StringBuilder builder = new StringBuilder();
			builder.AppendLine(this.GetType().GetFullName() + ".WebServiceManager: " + (this.WebServiceManager != null ? "\r\n" + this.WebServiceManager.ToString() : "N/A"));

			return builder.ToString().TrimEnd();
		}
	}
}