﻿using AirFusion.Common;
using Newtonsoft.Json;
using System.Text;

namespace AirFusion.WebService.Adapters
{
	internal partial class DeviceInformation
	{
		/// <summary>
		/// Represents information of AirFusion services.
		/// </summary>
		public partial class ServicesInfo
		{
			/// <summary>
			/// Gets or sets the information of input control.
			/// </summary>
			[JsonProperty("InputControl")]
			public InputControlInfo InputControl { get; internal set; }

			/// <summary>
			/// Gets or sets the information of screencast.
			/// </summary>
			[JsonProperty("ScreenCast")]
			public ScreencastInfo Screencast { get; internal set; }

			#region Private/Protected/Internal

			/// <summary>
			/// Initializes a new instance of the <see cref="ServicesInfo"/> class.
			/// </summary>
			internal ServicesInfo()
			{
				this.InputControl = null;
				this.Screencast = null;
			}

			#endregion Private/Protected/Internal

			#region Override

			/// <summary>
			/// Returns a <see cref="System.String" /> that represents this instance.
			/// </summary>
			/// <returns>
			/// A <see cref="System.String" /> that represents this instance.
			/// </returns>
			public override string ToString()
			{
				StringBuilder builder = new StringBuilder();
				builder.AppendLine(this.GetType().GetFullName() + ".InputControl: " + (this.InputControl != null ? "\r\n" + this.InputControl.ToString() : "N/A"));
				builder.AppendLine(this.GetType().GetFullName() + ".Screencast: " + (this.Screencast != null ? "\r\n" + this.Screencast.ToString() : "N/A"));

				return builder.ToString().TrimEnd();
			}

			#endregion Override
		}
	}
}
