﻿using System.Net.Http;

namespace AirFusion.WebService
{
	/// <summary>
	/// Represents a web service local request filter.
	/// </summary>
	public abstract class WebServiceLocalRequestFilter : IWebServiceRequestFilter
	{
		/// <summary>
		/// Filters a local request.
		/// </summary>
		/// <param name="requestMessage">The request message, any modification could be made to this instance.</param>
		/// <param name="responseMessage">The response message if any.</param>
		/// <returns>True if to continue next filters.</returns>
		/// <remarks>
		/// - The exception thrown by this method should be considered as an invalid request to be propagated.
		/// - The output 'responseMessage' is always null.
		/// </remarks>
		public abstract bool Filter(HttpRequestMessage requestMessage, out HttpResponseMessage responseMessage);
	}
}
