@ECHO off

pushd %~dp0

SET ReleaseFolder=%~1
SET SolutionFolder=%~2
SET ProjectName=%~3
SET ConfigurationName=%~4
SET PlatformName=%~5

ECHO ReleaseFolder=%ReleaseFolder%
ECHO SolutionFolder=%SolutionFolder%
ECHO ProjectName=%ProjectName%
ECHO ConfigurationName=%ConfigurationName%
ECHO PlatformName=%PlatformName%

REM Get current OS architecture
SET ArchitectureName=X86
IF /I "%PlatformName%"=="Any CPU" (
	REM Detect OS architecture
	FOR /f %%a in ('wmic os get osarchitecture^|find /i "-bit"') DO SET "Bits=%%a"
	ECHO Current OS is %Bits%
	IF /I "%Bits%"=="64-bit" SET ArchitectureName=AMD64
) ELSE IF /I "%PlatformName%"=="x64" (
	SET ArchitectureName=AMD64
)

SET FinalReleaseFolder=%SolutionFolder%\FinalRelease\%ProjectName%\%ConfigurationName%\%ArchitectureName%
IF NOT EXIST "%FinalReleaseFolder%" mkdir "%FinalReleaseFolder%"
SET NativeDLLFolderWithBuildPlatform=%SolutionFolder%\NativeDLL\[%ConfigurationName%]\%ArchitectureName%\
IF NOT EXIST "%NativeDLLFolderWithBuildPlatform%" mkdir "%NativeDLLFolderWithBuildPlatform%"
SET NativeDLLFiles="PullSrcFilter.dll"

ECHO FinalReleaseFolder=%FinalReleaseFolder%
ECHO NativeDLLFolderWithBuildPlatform=%NativeDLLFolderWithBuildPlatform%
ECHO NativeDLLFiles=%NativeDLLFiles%
ECHO ArchitectureName=%ArchitectureName%


REM Create exclusion list
ECHO exclusion.txt>exclusion.txt
ECHO .exe.config>>exclusion.txt
IF NOT '%ConfigurationName%' == 'Debug' ECHO .pdb>>exclusion.txt
ECHO .vshost>>exclusion.txt
ECHO .log>>exclusion.txt
ECHO .tmp>>exclusion.txt
ECHO .xml>>exclusion.txt

REM Copy the output folder to final release folder
FOR %%s in (%NativeDLLFiles%) DO (
	IF EXIST "%ReleaseFolder%\%%~s" (xcopy "%ReleaseFolder%\%%~s" "%FinalReleaseFolder%" /Y /I /F)
)

REM Copy the output folder to native DLLs folder
FOR %%s in (%NativeDLLFiles%) DO (
	IF EXIST "%ReleaseFolder%\%%~s" (xcopy "%ReleaseFolder%\%%~s" "%NativeDLLFolderWithBuildPlatform%" /Y /I /F)
)

REM Delete exclusion list
DEL /F exclusion.txt

popd
EXIT