@ECHO off
setlocal

pushd %~dp0

SET ReleaseFolder=%~1
SET SolutionFolder=%~2
SET ProjectName=%~3
SET ConfigurationName=%~4
SET PlatformName=%~5

ECHO.
ECHO Run VNCHandlerPostBuild.bat file --------------------------------------
ECHO ReleaseFolder=%ReleaseFolder%
ECHO SolutionFolder=%SolutionFolder%
ECHO ProjectName=%ProjectName%
ECHO ConfigurationName=%ConfigurationName%
ECHO PlatformName=%PlatformName%

REM Get current OS architecture
SET ArchitectureName=X86
IF /I '%PlatformName%' == 'x64' SET ArchitectureName=AMD64
ECHO ArchitectureName=%ArchitectureName%

:: Creates VNCHandler folder in "...\AirFusion\FinalRelease\"
SET VNCHandlerFolderPath=%SolutionFolder%FinalRelease\%ProjectName%\%ConfigurationName%\%ArchitectureName%
ECHO VNCHandlerFolderPath=%VNCHandlerFolderPath%
ECHO Create VNCHandler folder ...
IF NOT EXIST "%VNCHandlerFolderPath%" mkdir "%VNCHandlerFolderPath%"

:: Creates final release folder
SET NativeDLLFolderWithBuildPlatform=%SolutionFolder%\NativeDLL\[%ConfigurationName%]\%ArchitectureName%\
ECHO NativeDLLFolderWithBuildPlatform=%NativeDLLFolderWithBuildPlatform%
IF NOT EXIST "%NativeDLLFolderWithBuildPlatform%" mkdir "%NativeDLLFolderWithBuildPlatform%"

:: Copy VNCHandler.dll
ECHO Copy VNCHandler.dll ...
xcopy "%ReleaseFolder%InputControlHandler.dll" "%VNCHandlerFolderPath%" /E /Y /I /F
xcopy "%ReleaseFolder%InputControlHandler.dll" "%NativeDLLFolderWithBuildPlatform%" /E /Y /I /F

:: Copy VNCHandler.pdb if ConfigurationName == Debug
IF /I "%ConfigurationName%" == "Debug" (
	ECHO Copy VNCHandler.pdb ...
	xcopy "%ReleaseFolder%InputControlHandler.pdb" "%VNCHandlerFolderPath%" /E /Y /I /F
        xcopy "%ReleaseFolder%InputControlHandler.pdb" "%NativeDLLFolderWithBuildPlatform%" /E /Y /I /F
)

ECHO.
endlocal
popd
::EXIT