//  Copyright (C) 1999 AT&T Laboratories Cambridge. All Rights Reserved.
//
//  This file is part of the VNC system.
//
//  The VNC system is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
//  USA.
//
// TightVNC distribution homepage on the Web: http://www.tightvnc.com/
//
// If the source code for the VNC system is not available from the place 
// whence you received this file, check http://www.uk.research.att.com/vnc or contact
// the authors on vnc@uk.research.att.com for information on obtaining it.
#pragma once

#define VC_EXTRALEAN

// These two lines are needed to get the mouse wheel macros.
#define WINVER 0x0400
#define _WIN32_WINDOWS 0x0410

#include <winsock2.h>
#include <mstcpip.h>
#include <stdio.h>
#include <process.h>
#include <assert.h>
#ifndef __MINGW32__
#include <crtdbg.h>
#endif
#include <locale.h>
#include <time.h>
#include <tchar.h>
#include <windows.h>
#include <io.h>

#include "rfb.h"

#pragma comment(lib, "Ws2_32.lib")

enum FileProgressState
{
	FPS_Transfering,
	FPS_Cancel,
	FPS_Complete,
	FPS_Error
};

typedef void (*ClientConnectMsgFun)(int vnc_id, int msg_type, int fun_code, int err_code, char* msg);	// (1) VNC id, (2) Message Type, (3) Function Code, (4) Error Code, (5) Message Text
typedef void (*VNCUploadFileProgessFun)(int vnc_id, int file_index, int progress, int state);	// (1) VNC id, (2) File index, (3) Progress Value (4) FileProgressState
typedef void (*VNCDownloadFileProgessFun)(int vnc_id, wchar_t* file_name, int progress, int state);	// (1) VNC id (2) File Name (3) Progress Value (4) FileProgressState

extern const char* g_buildTime;

